petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCheckFaces

Check that the faces of each cell give a vertex order this is consistent with what we expect from the cell type

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckFaces(DM dm, PetscBool isSimplex, PetscInt cellHeight)

### Input Parameters

| dm | - The DMPlex object Many br
| isSimplex | - Are the cells simplices or tensor products Many br
| cellHeight | - Normally 0 Many br

Note: This is a useful diagnostic when creating meshes programmatically. Many br

Many br

### See Also

DMCreate(), DMCheckSymmetry(), DMCheckSkeleton()

Level:developer
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages